Skip to main content
GET
Retrieves the collection of Newsletter resources.

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:16

The number of items per page

Required range: 0 <= x <= 100
pagination
boolean

Enable or disable pagination

order[id]
enum<string>
default:asc
Available options:
asc,
desc
order[dateCreated]
enum<string>
default:asc
Available options:
asc,
desc
order[status]
enum<string>
default:asc
Available options:
asc,
desc
order[dateSent]
enum<string>
default:asc
Available options:
asc,
desc
order[recipients]
enum<string>
default:asc
Available options:
asc,
desc
status
string
status[]
string[]
event
string
event[]
string[]
event.uuid
string
event.uuid[]
string[]
name
string

Response

200 - application/json

Newsletter collection

uuid
string | null
read-only
subject
string
html
string | null
design
(string | null)[] | null
htmlInline
string | null
dateCreated
string<date-time>
read-only
publicPreviewLogo
string | null